from metadata.sdk import configurefrom metadata.sdk.entities import Chartsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDchart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9")print(f"{chart.fullyQualifiedName}: {chart.displayName}")# Get by ID with fieldschart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", fields=["owners", "tags"])# Get by fully qualified namechart = Charts.retrieve_by_name("sample_superset.114")# Get by name with fieldschart = Charts.retrieve_by_name( "sample_superset.114", fields=["owners", "tags", "domains"])
import static org.openmetadata.sdk.fluent.Charts.*;// Get by IDvar chart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9");// Get by ID with fieldsvar chart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", "owners,tags");// Get by fully qualified namevar chart = Charts.retrieveByName("sample_superset.114");// Get by name with fieldsvar chart = Charts.retrieveByName( "sample_superset.114", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/charts/name/sample_superset.114" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/charts/name/sample_superset.114?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Chartsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDchart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9")print(f"{chart.fullyQualifiedName}: {chart.displayName}")# Get by ID with fieldschart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", fields=["owners", "tags"])# Get by fully qualified namechart = Charts.retrieve_by_name("sample_superset.114")# Get by name with fieldschart = Charts.retrieve_by_name( "sample_superset.114", fields=["owners", "tags", "domains"])
import static org.openmetadata.sdk.fluent.Charts.*;// Get by IDvar chart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9");// Get by ID with fieldsvar chart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", "owners,tags");// Get by fully qualified namevar chart = Charts.retrieveByName("sample_superset.114");// Get by name with fieldsvar chart = Charts.retrieveByName( "sample_superset.114", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/charts/name/sample_superset.114" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/charts/name/sample_superset.114?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Chartsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDchart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9")print(f"{chart.fullyQualifiedName}: {chart.displayName}")# Get by ID with fieldschart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", fields=["owners", "tags"])# Get by fully qualified namechart = Charts.retrieve_by_name("sample_superset.114")# Get by name with fieldschart = Charts.retrieve_by_name( "sample_superset.114", fields=["owners", "tags", "domains"])
import static org.openmetadata.sdk.fluent.Charts.*;// Get by IDvar chart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9");// Get by ID with fieldsvar chart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", "owners,tags");// Get by fully qualified namevar chart = Charts.retrieveByName("sample_superset.114");// Get by name with fieldsvar chart = Charts.retrieveByName( "sample_superset.114", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/charts/name/sample_superset.114" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/charts/name/sample_superset.114?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"